## org.apache.poi.openxml4j.opc.internal
Class FileHelper

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.FileHelper

    public final class FileHelper

extends java.lang.Object

Provide useful method to manage file.

Version:
  0.1
Author:
  Julien Chable

Constructor Summary
`FileHelper()`

Method Summary
`static void` `copyFile(java.io.File in, java.io.File out)` Copy a file.
`static java.io.File` `getDirectory(java.io.File f)` Get the directory part of the specified file path.
`static java.lang.String` `getFilename(java.io.File file)` Get file name from the specified File object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileHelper

    public FileHelper()

Method Detail

### getDirectory

    public static java.io.File getDirectory(java.io.File f)

  Get the directory part of the specified file path.

  Parameters:
    `f` - File to process.
  Returns:
    The directory path from the specified

### copyFile

    public static void copyFile(java.io.File in,
                                java.io.File out)
                         throws java.io.IOException

  Copy a file.

  Parameters:
    `in` - The source file.
    `out` - The target location.
  Throws:
    `java.io.IOException` - If an I/O error occur.

### getFilename

    public static java.lang.String getFilename(java.io.File file)

  Get file name from the specified File object.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.